org.apache.felix.ipojo.extender.queue.debug

## Interface QueueEventProxy

All Known Implementing Classes:
  ReplayQueueEventProxy

    public interface QueueEventProxy

This service record events from a `QueueService`. When a listener is added, all recorded events are replayed into the listener.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addQueueListener(QueueListener listener)` Add a `QueueListener` that will be notified on events relative to the observed `QueueService`.
`void` `removeQueueListener(QueueListener listener)` Remove a `QueueListener` from the observed `QueueService`.

### Method Detail

#### addQueueListener

    void addQueueListener(QueueListener listener)

Add a `QueueListener` that will be notified on events relative to the observed `QueueService`.

Parameters:
  `listener` - added listener

#### removeQueueListener

    void removeQueueListener(QueueListener listener)

Remove a `QueueListener` from the observed `QueueService`.

Parameters:
  `listener` - removed listener